package com.jeeplus.modules.sg.managementcenter.reserveManagement.entity;

import com.jeeplus.core.persistence.DataEntity;

import java.util.Date;

/**
 * 项目储备信息 Entity
 * @author 徐滕
 * @version 2020-09-14
 */
public class ReserveManagement extends DataEntity<ReserveManagement> {

    private String projectNature;  //varchar(64) NULL 项目性质
    private String demandUnit;  //varchar(64) NULL 需求单位
    private String district;  //varchar(64) NULL 区域
    private String projectGroup;  //varchar(64) NULL 项目分组
    private String reserveBatches;  //varchar(64) NULL 储备批次
    private String projectReserveId;  //varchar(64) NOT NULL 项目储备编号
    private String projectName;  //varchar(64) NULL 项目名称
    private String constructionNecessityAndContent;  //varchar(64) NULL 建设必要性及内容
    private String substationName;  //varchar(64) NULL 变电站名称
    private String circuitName;  //varchar(64) NULL 线路名称
    private String netRackProjectDivide;  //varchar(64) NULL 网架项目划分
    private String projectType;  //varchar(64) NULL 项目类型
    private Double costEstimate;  //double(64,4) NULL 费用估算
    private Integer whetherWindwardProject;  //tinyint(4) NULL 是否迎峰度夏项目(1：是，0：否 2：取消)
    private Integer projectUrgencyDegree;  //tinyint(4) NULL  项目紧急程度（不是数字默认为空）
    private String implementIssuedYear;  //varchar(64) NULL  拟实施下达年份
    private String implementBatch;  //varchar(64) NULL  拟实施批次
    private String basicRemarks;  //varchar(255) NULL  备注

    private Integer designCondition;  //tinyint(4) NULL  设计状态（1：已完成，0：未完成）
    private Integer whetherPassReview;  //tinyint(4) NULL  是否通过省公司评审（1：已通过，0：未通过）
    private Integer whetherNeedWiringDiagram;  //tinyint(4) NULL  是否需提交路径图（政处）(1：是，0：否)
    private Integer whetherFinishMaterials;  //tinyint(4) NULL  是否完成物资清册编制(1：是，0：否)
    private Integer whetherFinishDrawing;  //tinyint(4) NULL  是否完成图纸移交(1：是，0：否)

    private String disclosureToCoordinate;  //varchar(64) NULL  交底牵头部门
    private String disclosureParticipate;  //varchar(64) NULL  交底参与部门
    private Integer whetherFinishDisclosure;  //tinyint(4) NULL  是否完成交底(1：是，0：否)
    private String projectManagementPeople;  //varchar(64) NULL  项目管理中心人员
    private String designingInstitutePeople;  //varchar(64) NULL  设计院人员
    private String ifoPeople;  //varchar(64) NULL  经研所人员
    private String regionalCenterPeople;  //varchar(64) NULL  区域中心人员
    private String uninterruptedOperationPeople;  //varchar(64) NULL  不停电作业中心人员
    private String workMode;  //varchar(64) NULL  作业方式
    private Date disclosureFinishDate;  //datetime NULL  交底完成日期
    private String disclosureRemarks;  //varchar(255) NULL  备注

    private String projectDescription;  //varchar(255) NULL  立项说明
    private String doNotPossessProjectDescription;  //varchar(255) NULL  不具备立项条件说明
    private String changedProgramsExplain;  //varchar(255) NULL  方案变更说明
    private String initialDifficulty;  //varchar(64) NULL  政处难度初判
    private Integer capitalEquipment;  //tinyint(4) NULL  是否有资本设备(1：是，0：否)
    private Integer substationNewLine;  //tinyint(4) NULL  是否有变电站新出线(1：是，0：否)
    private Integer whetherImplement;  //tinyint(4) NULL  是否已实施(1：是，0：否)
    private String fieldDescription;  //varchar(255) NULL  现场情况描述
    private Integer necessaryOfImplementation;  //tinyint(4) NULL  是否有实施必要性(1：是，0：否)
    private String unnecessaryDescription;  //varchar(255) NULL  实施无必要描述
    private Integer precondition;  //tinyint(4) NULL  是否存在前置条件(1：是，0：否)
    private String conditionsDescribed;  //varchar(255) NULL  前置条件描述
    private Integer constructionSchemeProblem;  //tinyint(4) NULL  是否存在施工方案问题(1：是，0：否)
    private String problemDescriptionOfConstructionScheme;  //varchar(255) NULL  施工方案问题描述
    private Integer existingSecurityThreat;  //tinyint(4) NULL  现场是否存在安全隐患(1：是，0：否)
    private String safetyHazardDescription;  //varchar(255) NULL  安全隐患描述
    private Integer customizedMaterials;  //tinyint(4) NULL  是否需要定制物资(1：是，0：否)
    private String materialDescription;  //varchar(255) NULL  定制物资描述
    private Integer dismantlingTheOldMaterial;  //tinyint(4) NULL  是否有拆旧物资(1：是，0：否)
    private String operatingType;  //varchar(64) NULL  作业方式
    private String problemDescription;  //varchar(255) NULL  停电问题描述
    private Integer civilWork;  //tinyint(4) NULL  是否有土建工作量(1：是，0：否)
    private Integer verticalRodWorkload;  //tinyint(4) NULL  是否有立杆工作量(1：是，0：否)
    private String totalWorkloadDescription;  //varchar(255) NULL  总工作量描述
    private String regionalCenter;  //varchar(64) NULL  区域中心
    private String powerSupplyArea;  //varchar(64) NULL  供电所辖区
    private String zhengLocation;  //varchar(64) NULL  政处地点
    private String zhengType;  //varchar(64) NULL  政处类型（可多类）
    private String zhengObject;  //varchar(64) NULL  政处对象（产权单位）
    private String zhengDescribe;  //varchar(255) NULL  政处描述
    private Integer projectApproval;  //tinyint(4) NULL  是否需规划报批(1：是，0：否)
    private Integer courseEvaluationProcedures;  //tinyint(4) NULL  是否需办理安评航评手续(1：是，0：否)
    private String zhengDifficultyWarn;  //varchar(64) NULL  政处难点提醒

    public String getProjectNature() {
        return projectNature;
    }

    public void setProjectNature(String projectNature) {
        this.projectNature = projectNature;
    }

    public String getDemandUnit() {
        return demandUnit;
    }

    public void setDemandUnit(String demandUnit) {
        this.demandUnit = demandUnit;
    }

    public String getDistrict() {
        return district;
    }

    public void setDistrict(String district) {
        this.district = district;
    }

    public String getProjectGroup() {
        return projectGroup;
    }

    public void setProjectGroup(String projectGroup) {
        this.projectGroup = projectGroup;
    }

    public String getReserveBatches() {
        return reserveBatches;
    }

    public void setReserveBatches(String reserveBatches) {
        this.reserveBatches = reserveBatches;
    }

    public String getProjectReserveId() {
        return projectReserveId;
    }

    public void setProjectReserveId(String projectReserveId) {
        this.projectReserveId = projectReserveId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getConstructionNecessityAndContent() {
        return constructionNecessityAndContent;
    }

    public void setConstructionNecessityAndContent(String constructionNecessityAndContent) {
        this.constructionNecessityAndContent = constructionNecessityAndContent;
    }

    public String getSubstationName() {
        return substationName;
    }

    public void setSubstationName(String substationName) {
        this.substationName = substationName;
    }

    public String getCircuitName() {
        return circuitName;
    }

    public void setCircuitName(String circuitName) {
        this.circuitName = circuitName;
    }

    public String getNetRackProjectDivide() {
        return netRackProjectDivide;
    }

    public void setNetRackProjectDivide(String netRackProjectDivide) {
        this.netRackProjectDivide = netRackProjectDivide;
    }

    public String getProjectType() {
        return projectType;
    }

    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }

    public Double getCostEstimate() {
        return costEstimate;
    }

    public void setCostEstimate(Double costEstimate) {
        this.costEstimate = costEstimate;
    }

    public Integer getWhetherWindwardProject() {
        return whetherWindwardProject;
    }

    public void setWhetherWindwardProject(Integer whetherWindwardProject) {
        this.whetherWindwardProject = whetherWindwardProject;
    }

    public Integer getProjectUrgencyDegree() {
        return projectUrgencyDegree;
    }

    public void setProjectUrgencyDegree(Integer projectUrgencyDegree) {
        this.projectUrgencyDegree = projectUrgencyDegree;
    }

    public String getImplementIssuedYear() {
        return implementIssuedYear;
    }

    public void setImplementIssuedYear(String implementIssuedYear) {
        this.implementIssuedYear = implementIssuedYear;
    }

    public String getImplementBatch() {
        return implementBatch;
    }

    public void setImplementBatch(String implementBatch) {
        this.implementBatch = implementBatch;
    }

    public String getBasicRemarks() {
        return basicRemarks;
    }

    public void setBasicRemarks(String basicRemarks) {
        this.basicRemarks = basicRemarks;
    }

    public Integer getDesignCondition() {
        return designCondition;
    }

    public void setDesignCondition(Integer designCondition) {
        this.designCondition = designCondition;
    }

    public Integer getWhetherPassReview() {
        return whetherPassReview;
    }

    public void setWhetherPassReview(Integer whetherPassReview) {
        this.whetherPassReview = whetherPassReview;
    }

    public Integer getWhetherNeedWiringDiagram() {
        return whetherNeedWiringDiagram;
    }

    public void setWhetherNeedWiringDiagram(Integer whetherNeedWiringDiagram) {
        this.whetherNeedWiringDiagram = whetherNeedWiringDiagram;
    }

    public Integer getWhetherFinishMaterials() {
        return whetherFinishMaterials;
    }

    public void setWhetherFinishMaterials(Integer whetherFinishMaterials) {
        this.whetherFinishMaterials = whetherFinishMaterials;
    }

    public Integer getWhetherFinishDrawing() {
        return whetherFinishDrawing;
    }

    public void setWhetherFinishDrawing(Integer whetherFinishDrawing) {
        this.whetherFinishDrawing = whetherFinishDrawing;
    }

    public String getDisclosureToCoordinate() {
        return disclosureToCoordinate;
    }

    public void setDisclosureToCoordinate(String disclosureToCoordinate) {
        this.disclosureToCoordinate = disclosureToCoordinate;
    }

    public String getDisclosureParticipate() {
        return disclosureParticipate;
    }

    public void setDisclosureParticipate(String disclosureParticipate) {
        this.disclosureParticipate = disclosureParticipate;
    }

    public Integer getWhetherFinishDisclosure() {
        return whetherFinishDisclosure;
    }

    public void setWhetherFinishDisclosure(Integer whetherFinishDisclosure) {
        this.whetherFinishDisclosure = whetherFinishDisclosure;
    }

    public String getProjectManagementPeople() {
        return projectManagementPeople;
    }

    public void setProjectManagementPeople(String projectManagementPeople) {
        this.projectManagementPeople = projectManagementPeople;
    }

    public String getDesigningInstitutePeople() {
        return designingInstitutePeople;
    }

    public void setDesigningInstitutePeople(String designingInstitutePeople) {
        this.designingInstitutePeople = designingInstitutePeople;
    }

    public String getIfoPeople() {
        return ifoPeople;
    }

    public void setIfoPeople(String ifoPeople) {
        this.ifoPeople = ifoPeople;
    }

    public String getRegionalCenterPeople() {
        return regionalCenterPeople;
    }

    public void setRegionalCenterPeople(String regionalCenterPeople) {
        this.regionalCenterPeople = regionalCenterPeople;
    }

    public String getUninterruptedOperationPeople() {
        return uninterruptedOperationPeople;
    }

    public void setUninterruptedOperationPeople(String uninterruptedOperationPeople) {
        this.uninterruptedOperationPeople = uninterruptedOperationPeople;
    }

    public String getWorkMode() {
        return workMode;
    }

    public void setWorkMode(String workMode) {
        this.workMode = workMode;
    }

    public Date getDisclosureFinishDate() {
        return disclosureFinishDate;
    }

    public void setDisclosureFinishDate(Date disclosureFinishDate) {
        this.disclosureFinishDate = disclosureFinishDate;
    }

    public String getDisclosureRemarks() {
        return disclosureRemarks;
    }

    public void setDisclosureRemarks(String disclosureRemarks) {
        this.disclosureRemarks = disclosureRemarks;
    }

    public String getProjectDescription() {
        return projectDescription;
    }

    public void setProjectDescription(String projectDescription) {
        this.projectDescription = projectDescription;
    }

    public String getDoNotPossessProjectDescription() {
        return doNotPossessProjectDescription;
    }

    public void setDoNotPossessProjectDescription(String doNotPossessProjectDescription) {
        this.doNotPossessProjectDescription = doNotPossessProjectDescription;
    }

    public String getChangedProgramsExplain() {
        return changedProgramsExplain;
    }

    public void setChangedProgramsExplain(String changedProgramsExplain) {
        this.changedProgramsExplain = changedProgramsExplain;
    }

    public String getInitialDifficulty() {
        return initialDifficulty;
    }

    public void setInitialDifficulty(String initialDifficulty) {
        this.initialDifficulty = initialDifficulty;
    }

    public Integer getCapitalEquipment() {
        return capitalEquipment;
    }

    public void setCapitalEquipment(Integer capitalEquipment) {
        this.capitalEquipment = capitalEquipment;
    }

    public Integer getSubstationNewLine() {
        return substationNewLine;
    }

    public void setSubstationNewLine(Integer substationNewLine) {
        this.substationNewLine = substationNewLine;
    }

    public Integer getWhetherImplement() {
        return whetherImplement;
    }

    public void setWhetherImplement(Integer whetherImplement) {
        this.whetherImplement = whetherImplement;
    }

    public String getFieldDescription() {
        return fieldDescription;
    }

    public void setFieldDescription(String fieldDescription) {
        this.fieldDescription = fieldDescription;
    }

    public Integer getNecessaryOfImplementation() {
        return necessaryOfImplementation;
    }

    public void setNecessaryOfImplementation(Integer necessaryOfImplementation) {
        this.necessaryOfImplementation = necessaryOfImplementation;
    }

    public String getUnnecessaryDescription() {
        return unnecessaryDescription;
    }

    public void setUnnecessaryDescription(String unnecessaryDescription) {
        this.unnecessaryDescription = unnecessaryDescription;
    }

    public Integer getPrecondition() {
        return precondition;
    }

    public void setPrecondition(Integer precondition) {
        this.precondition = precondition;
    }

    public String getConditionsDescribed() {
        return conditionsDescribed;
    }

    public void setConditionsDescribed(String conditionsDescribed) {
        this.conditionsDescribed = conditionsDescribed;
    }

    public Integer getConstructionSchemeProblem() {
        return constructionSchemeProblem;
    }

    public void setConstructionSchemeProblem(Integer constructionSchemeProblem) {
        this.constructionSchemeProblem = constructionSchemeProblem;
    }

    public String getProblemDescriptionOfConstructionScheme() {
        return problemDescriptionOfConstructionScheme;
    }

    public void setProblemDescriptionOfConstructionScheme(String problemDescriptionOfConstructionScheme) {
        this.problemDescriptionOfConstructionScheme = problemDescriptionOfConstructionScheme;
    }

    public Integer getExistingSecurityThreat() {
        return existingSecurityThreat;
    }

    public void setExistingSecurityThreat(Integer existingSecurityThreat) {
        this.existingSecurityThreat = existingSecurityThreat;
    }

    public String getSafetyHazardDescription() {
        return safetyHazardDescription;
    }

    public void setSafetyHazardDescription(String safetyHazardDescription) {
        this.safetyHazardDescription = safetyHazardDescription;
    }

    public Integer getCustomizedMaterials() {
        return customizedMaterials;
    }

    public void setCustomizedMaterials(Integer customizedMaterials) {
        this.customizedMaterials = customizedMaterials;
    }

    public String getMaterialDescription() {
        return materialDescription;
    }

    public void setMaterialDescription(String materialDescription) {
        this.materialDescription = materialDescription;
    }

    public Integer getDismantlingTheOldMaterial() {
        return dismantlingTheOldMaterial;
    }

    public void setDismantlingTheOldMaterial(Integer dismantlingTheOldMaterial) {
        this.dismantlingTheOldMaterial = dismantlingTheOldMaterial;
    }

    public String getOperatingType() {
        return operatingType;
    }

    public void setOperatingType(String operatingType) {
        this.operatingType = operatingType;
    }

    public String getProblemDescription() {
        return problemDescription;
    }

    public void setProblemDescription(String problemDescription) {
        this.problemDescription = problemDescription;
    }

    public Integer getCivilWork() {
        return civilWork;
    }

    public void setCivilWork(Integer civilWork) {
        this.civilWork = civilWork;
    }

    public Integer getVerticalRodWorkload() {
        return verticalRodWorkload;
    }

    public void setVerticalRodWorkload(Integer verticalRodWorkload) {
        this.verticalRodWorkload = verticalRodWorkload;
    }

    public String getTotalWorkloadDescription() {
        return totalWorkloadDescription;
    }

    public void setTotalWorkloadDescription(String totalWorkloadDescription) {
        this.totalWorkloadDescription = totalWorkloadDescription;
    }

    public String getRegionalCenter() {
        return regionalCenter;
    }

    public void setRegionalCenter(String regionalCenter) {
        this.regionalCenter = regionalCenter;
    }

    public String getPowerSupplyArea() {
        return powerSupplyArea;
    }

    public void setPowerSupplyArea(String powerSupplyArea) {
        this.powerSupplyArea = powerSupplyArea;
    }

    public String getZhengLocation() {
        return zhengLocation;
    }

    public void setZhengLocation(String zhengLocation) {
        this.zhengLocation = zhengLocation;
    }

    public String getZhengType() {
        return zhengType;
    }

    public void setZhengType(String zhengType) {
        this.zhengType = zhengType;
    }

    public String getZhengObject() {
        return zhengObject;
    }

    public void setZhengObject(String zhengObject) {
        this.zhengObject = zhengObject;
    }

    public String getZhengDescribe() {
        return zhengDescribe;
    }

    public void setZhengDescribe(String zhengDescribe) {
        this.zhengDescribe = zhengDescribe;
    }

    public Integer getProjectApproval() {
        return projectApproval;
    }

    public void setProjectApproval(Integer projectApproval) {
        this.projectApproval = projectApproval;
    }

    public Integer getCourseEvaluationProcedures() {
        return courseEvaluationProcedures;
    }

    public void setCourseEvaluationProcedures(Integer courseEvaluationProcedures) {
        this.courseEvaluationProcedures = courseEvaluationProcedures;
    }

    public String getZhengDifficultyWarn() {
        return zhengDifficultyWarn;
    }

    public void setZhengDifficultyWarn(String zhengDifficultyWarn) {
        this.zhengDifficultyWarn = zhengDifficultyWarn;
    }
}
