package com.jeeplus.modules.sg.managementcenter.reserveManagement.web;

import com.jeeplus.common.utils.StringUtils;
import com.jeeplus.core.web.BaseController;
import com.jeeplus.modules.sg.managementcenter.reserveManagement.entity.ReserveManagement;
import com.jeeplus.modules.sg.managementcenter.reserveManagement.service.ReserveManagementService;
import com.jeeplus.modules.sys.entity.User;
import com.jeeplus.modules.sys.utils.UserUtils;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * 项目储备信息 Controller
 * @author 徐滕
 * @version 2020-09-14
 */
@Controller
@RequestMapping(value = "${adminPath}/sg/managementCenter/reserveManagement")
public class ReserveManagementController extends BaseController {

    @Autowired
    private ReserveManagementService service;

    @ModelAttribute
    public ReserveManagement get(@RequestParam(required = false) String id) {
        ReserveManagement entity = null;
        if (StringUtils.isNotBlank(id)) {
            entity = service.get(id);
        }
        if (entity == null) {
            entity = new ReserveManagement();
        }
        return entity;
    }

    /**
     * 工程管理表单列表页面
     */
    @RequiresPermissions("sg:managementcenter:reserveManagement:list")
    @RequestMapping(value = "skipList")
    public String skipList(ReserveManagement reserveManagement, Model model) {
        User user = UserUtils.getUser();
        model.addAttribute("reserveManagement", reserveManagement);
        return "modules/sg/managementcenter/reserveManagement/resrerveManagementInformation";
    }

    /**
     * 项目前期基本信息 数据列表
     */
    @ResponseBody
    @RequiresPermissions("sg:managementcenter:reserveManagement:list")
    @RequestMapping(value = "list")
    public Map<String, Object> basicData(ReserveManagement reserveManagement, HttpServletRequest request, HttpServletResponse response, Model model) {
        /*String reserveProjectName = project.getReserveProjectName();
        List<String> reserveList = new ArrayList<>();
        if (!"".equals(reserveProjectName)) {
            String[] split = reserveProjectName.split("\\s+");
            String reserveName = "";
            for (int i = 0; i < split.length; i++) {
                reserveName = split[i];
                reserveList.add(reserveName);
            }
            project.setReserveList(reserveList);
        }
        BasicInformation basicInformation = new BasicInformation();
        project.setBasicInformation(basicInformation);
        Page<Project> page = projectService.findPage(new Page<Project>(request, response), project);
        return getBootstrapData(page);*/
        return null;
    }
}
