<%@ page contentType="text/html;charset=UTF-8" %>
<script >
$(document).ready(function () {
    $('#projectTable').bootstrapTable({
        //请求方法
        method: 'post',
        //类型json
        dataType: "json",
        contentType: "application/x-www-form-urlencoded",
        //显示检索按钮
        showSearch: true,
        //显示刷新按钮
        showRefresh: true,
        //显示切换手机试图按钮
        showToggle: true,
        //显示 内容列下拉框
        showColumns: true,
        //显示到处按钮
        showExport: true,
        //显示切换分页按钮
        showPaginationSwitch: true,
        //最低显示2行
        minimumCountColumns: 2,
        //是否显示行间隔色
        striped: true,
        //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）
        cache: false,
        //是否显示分页（*）
        pagination: true,
        //排序方式
        sortOrder: "asc",
        //初始化加载第一页，默认第一页
        pageNumber: 1,
        //每页的记录行数（*）
        pageSize: 5,
        //可供选择的每页的行数（*）
        pageList: [5, 10, 25, 50, 100],
        //这个接口需要处理bootstrap table传递的固定参数,并返回特定格式的json数据
        url: "${ctx}/sg/managementcenter/project/basicData",
        //默认值为 'limit',传给服务端的参数为：limit, offset, search, sort, order Else
        //queryParamsType:'',
        ////查询参数,每次调用是会带上这个参数，可自定义
        queryParams: function (params) {
            var searchParam = $("#searchForm").serializeJSON();
            searchParam.pageNo = params.limit === undefined ? "1" : params.offset / params.limit + 1;
            searchParam.pageSize = params.limit === undefined ? -1 : params.limit;
            searchParam.orderBy = params.sort === undefined ? "" : params.sort + " " + params.order;
            return searchParam;
        },
        //分页方式：client客户端分页，server服务端分页（*）
        sidePagination: "server",
        contextMenuTrigger: "right",//pc端 按右键弹出菜单
        contextMenuTriggerMobile: "press",//手机端 弹出菜单，click：单击， press：长按。
        contextMenu: '#context-menu',
        onContextMenuItem: function (row, $el) {
            if ($el.data("item") == "edit") {
                edit(row.id);
            } else if ($el.data("item") == "view") {
                view(row.id);
            } else if ($el.data("item") == "delete") {
                jp.confirm('确认要删除该表单记录吗？', function () {
                    jp.loading();
                    jp.get("${ctx}/sg/managementcenter/project/delete?id=" + row.id, function (data) {
                        if (data.success) {
                            $('#projectTable').bootstrapTable('refresh');
                            jp.success(data.msg);
                        } else {
                            jp.error(data.msg);
                        }
                    })
                });
            }
        },

        onClickRow: function (row, $el) {
        },
        onShowSearch: function () {
            $("#search-collapse").slideToggle();
        },
        columns:

            [[
                {
                    title: "2021年镇江本部配网项目储备表",
                    halign:"center",
                    align:"center",
                    width:8000,
                    colspan: 67,
                }
            ],[
                {
                    title: "储备项目基本信息",
                    halign:"center",
                    align:"center",
                    width:2100,
                    colspan:19,
                },{
                    title: "设计及评审情况",
                    halign:"center",
                    align:"center",
                    width:500,
                    colspan:5,
                },{
                    title: "方案交底组织",
                    halign:"center",
                    align:"center",
                    width:1100,
                    colspan:11,
                },{
                    title: "方案交底结论",
                    halign:"center",
                    align:"center",
                    width:3300,
                    colspan:33,
                }
            ],[
                {
                    checkbox: true,
                    width:50,
                    rowspan:2,
                }
                , {
                    field: 'projectNature',
                    width:100,
                    title: '项目性质',
                    rowspan:2,
                },{
                    field: 'demandUnit',
                    width:100,
                    title: '需求单位',
                    rowspan:2,
                },{
                    field: 'district',
                    width:100,
                    title: '区域',
                    rowspan:2,
                },{
                    field: 'projectGroup',
                    width:100,
                    title: '项目分组',
                    rowspan:2,
                },{
                    field: 'reserveBatches',
                    width:100,
                    title: '储备批次',
                    rowspan:2,
                },{
                    field: 'projectReserveId',
                    width:150,
                    title: '项目储备编号',
                    rowspan:2,
                },{
                    field: 'projectName',
                    width:200,
                    title: '项目名称',
                    rowspan:2,
                },{
                    field: 'constructionNecessityAndContent',
                    width:200,
                    title: '建设必要性及内容',
                    rowspan:2,
                },{
                    field: 'substationName',
                    width:100,
                    title: '变电站名称',
                    rowspan:2,
                },{
                    field: 'circuitName',
                    width:100,
                    title: '线路名称',
                    rowspan:2,
                },{
                    field: 'netRackProjectDivide',
                    width:100,
                    title: '网架项目划分',
                    rowspan:2,
                },{
                    field: 'projectType',
                    width:100,
                    title: '项目类型',
                    rowspan:2,
                },{
                    field: 'costEstimate',
                    width:100,
                    title: '费用估算',
                    rowspan:2,
                },{
                    field: 'whetherWindwardProject',
                    width:100,
                    title: '是否迎峰度夏项目',
                    rowspan:2,
                },{
                    field: 'projectUrgencyDegree',
                    width:100,
                    title: '项目紧急程度',
                    rowspan:2,
                },{
                    field: 'implementIssuedYear',
                    width:100,
                    title: '拟实施下达年份',
                    rowspan:2,
                },{
                    field: 'implementBatch',
                    width:100,
                    title: '拟实施批次',
                    rowspan:2,
                },{
                    field: 'basicRemarks',
                    width:100,
                    title: '备注',
                    rowspan:2,
                },
/*设计及评审情况*/
                {
                    field: 'designCondition',
                    width:100,
                    title: '设计状态',
                    rowspan:2,
                },{
                    field: 'whetherPassReview',
                    width:100,
                    title: '是否通过省公司评审',
                    rowspan:2,
                },{
                    field: 'whetherNeedWiringDiagram',
                    width:100,
                    title: '是否需提交路径图',
                    rowspan:2,
                },{
                    field: 'whetherFinishMaterials',
                    width:100,
                    title: '是否完成物资清册编制',
                    rowspan:2,
                },{
                    field: 'whetherFinishDrawing',
                    width:100,
                    title: '是否完成图纸移交',
                    rowspan:2,
                },
/*方案交底组织*/
                {
                    field: 'disclosureToCoordinate',
                    width:100,
                    title: '交底牵头部门',
                    rowspan:2,
                },{
                    field: 'disclosureParticipate',
                    width:100,
                    title: '交底参与部门',
                    rowspan:2,
                },{
                    field: 'whetherFinishDisclosure',
                    width:100,
                    title: '是否完成交底',
                    rowspan:2,
                },{
                    field: 'projectManagementPeople',
                    width:100,
                    title: '项目管理中心人员',
                    rowspan:2,
                },{
                    field: 'designingInstitutePeople',
                    width:100,
                    title: '设计院人员',
                    rowspan:2,
                },{
                    field: 'ifoPeople',
                    width:100,
                    title: '经研所人员',
                    rowspan:2,
                },{
                    field: 'regionalCenterPeople',
                    width:100,
                    title: '区域中心人员',
                    rowspan:2,
                },{
                    field: 'uninterruptedOperationPeople',
                    width:100,
                    title: '不停电作业中心人员',
                    rowspan:2,
                },{
                    field: 'workMode',
                    width:100,
                    title: '作业方式',
                    rowspan:2,
                },{
                    field: 'disclosureFinishDate',
                    width:100,
                    title: '交底完成日期',
                    rowspan:2,
                },{
                    field: 'disclosureRemarks',
                    width:100,
                    title: '备注',
                    rowspan:2,
                },
/*方案交底结论*/
                {
                    title: "交底结论",
                    halign:"center",
                    align:"center",
                    width:400,
                    colspan:4,
                },{
                    title: "成本资本划分",
                    halign:"center",
                    align:"center",
                    width:200,
                    colspan:2,
                },{
                    title: "现场是否实施",
                    halign:"center",
                    align:"center",
                    width:200,
                    colspan:2,
                },{
                    title: "实施必要性",
                    halign:"center",
                    align:"center",
                    width:200,
                    colspan:2,
                },{
                    title: "施工前置条件检查",
                    halign:"center",
                    align:"center",
                    width:200,
                    colspan:2,
                },{
                    title: "施工方案可行性检查",
                    halign:"center",
                    align:"center",
                    width:200,
                    colspan:2,
                },{
                    title: "方案安全性检查",
                    halign:"center",
                    align:"center",
                    width:200,
                    colspan:2,
                },{
                    title: "物资交底",
                    halign:"center",
                    align:"center",
                    width:300,
                    colspan:3,
                },{
                    title: "作业方式",
                    halign:"center",
                    align:"center",
                    width:200,
                    colspan:2,
                },{
                    title: "工作量描述",
                    halign:"center",
                    align:"center",
                    width:300,
                    colspan:3,
                },{
                    title: "政处交底",
                    halign:"center",
                    align:"center",
                    width:900,
                    colspan:9,
                }
            ],[
                {
                    field: 'projectDescription',
                    width:100,
                    title: '立项说明',
                },
                {
                    field: 'doNotPossessProjectDescription',
                    width:100,
                    title: '不具备立项条件说明',
                },
                {
                    field: 'changedProgramsExplain',
                    width:100,
                    title: '方案变更说明',
                },
                {
                    field: 'initialDifficulty',
                    width:100,
                    title: '政处难度初判',
                },
                {
                    field: 'capitalEquipment',
                    width:100,
                    title: '是否有资本设备',
                },
                {
                    field: 'substationNewLine',
                    width:100,
                    title: '是否有变电站新出线',
                },
                {
                    field: 'whetherImplement',
                    width:100,
                    title: '是否已实施',
                },
                {
                    field: 'fieldDescription',
                    width:100,
                    title: '现场情况描述',
                },
                {
                    field: 'necessaryOfImplementation',
                    width:100,
                    title: '是否有实施必要性',
                },
                {
                    field: 'unnecessaryDescription',
                    width:100,
                    title: '实施无必要描述',
                },
                {
                    field: 'precondition',
                    width:100,
                    title: '是否存在前置条件',
                },
                {
                    field: 'conditionsDescribed',
                    width:100,
                    title: '前置条件描述',
                },
                {
                    field: 'constructionSchemeProblem',
                    width:100,
                    title: '是否存在施工方案问题',
                },
                {
                    field: 'problemDescriptionOfConstructionScheme',
                    width:100,
                    title: '施工方案问题描述',
                },
                {
                    field: 'existingSecurityThreat',
                    width:100,
                    title: '现场是否存在安全隐患',
                },
                {
                    field: 'safetyHazardDescription',
                    width:100,
                    title: '安全隐患描述',
                },
                {
                    field: 'customizedMaterials',
                    width:100,
                    title: '是否需要定制物资',
                },
                {
                    field: 'materialDescription',
                    width:100,
                    title: '定制物资描述',
                },
                {
                    field: 'dismantlingTheOldMaterial',
                    width:100,
                    title: '是否有拆旧物资',
                },
                {
                    field: 'operatingType',
                    width:100,
                    title: '作业方式',
                },
                {
                    field: 'problemDescription',
                    width:100,
                    title: '停电问题描述',
                },
                {
                    field: 'civilWork',
                    width:100,
                    title: '是否有土建工作量',
                },
                {
                    field: 'verticalRodWorkload',
                    width:100,
                    title: '是否有立杆工作量',
                },
                {
                    field: 'totalWorkloadDescription',
                    width:100,
                    title: '总工作量描述',
                },
                {
                    field: 'regionalCenter',
                    width:100,
                    title: '区域中心',
                },
                {
                    field: 'powerSupplyArea',
                    width:100,
                    title: '供电所辖区',
                },
                {
                    field: 'zhengLocation',
                    width:100,
                    title: '政处地点',
                },
                {
                    field: 'zhengType',
                    width:100,
                    title: '政处类型',
                },
                {
                    field: 'zhengObject',
                    width:100,
                    title: '政处对象',
                },
                {
                    field: 'zhengDescribe',
                    width:100,
                    title: '政处描述',
                },
                {
                    field: 'projectApproval',
                    width:100,
                    title: '是否需规划报批',
                },
                {
                    field: 'courseEvaluationProcedures',
                    width:100,
                    title: '是否需办理安评航评手续',
                },
                {
                    field: 'zhengDifficultyWarn',
                    width:100,
                    title: '政处难点提醒',
                }
            ]
        ]
    });


    if (navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)) {//如果是移动端
        $('#projectTable').bootstrapTable("toggleView");
    }

    $('#projectTable').on('check.bs.table uncheck.bs.table load-success.bs.table ' +
        'check-all.bs.table uncheck-all.bs.table', function () {
        $('#remove').prop('disabled', !$('#projectTable').bootstrapTable('getSelections').length);
        $('#view,#edit').prop('disabled', $('#projectTable').bootstrapTable('getSelections').length != 1);
    });

    $("#btnImport").click(function () {
        jp.open({
            type: 2,
            area: [500, 200],
            auto: true,
            title: "导入数据",
            content: "${ctx}/tag/importExcel",
            btn: ['确定', '关闭'],
            btn1: function (index, layero) {
                var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                iframeWin.contentWindow.importExcel('${ctx}/sg/managementcenter/project/importBasic', function (data) {
                    if (data.success) {
                        jp.success(data.msg);
                        refresh();
                    } else {
                        jp.error(data.msg);
                    }
                    jp.close(index);
                });//调用保存事件
                return false;
            },

            btn2: function (index) {
                //  jp.close(index);
            }
        });
    });

    $("#btnExport").click(function () {
        var id = getIdSelections();
        var projectId = $("#projectId").val();
        var reserveProjectName = $("#reserveProjectName").val();
        var projectName = $("#projectName").val();
        jp.downloadFile('${ctx}/sg/managementcenter/project/btnExport?id=' + id + '&reserveProjectName=' + reserveProjectName + '&projectId=' + projectId + '&projectName=' + projectName);
    });

    $("#search").click("click", function () {// 绑定查询按扭
        $('#projectTable').bootstrapTable('refresh');
    });

    $("#reset").click("click", function () {// 绑定查询按扭
        $("#searchForm  input").val("");
        $("#searchForm  select").val("");
        $("#searchForm  .select-item").html("");
        $('#projectTable').bootstrapTable('refresh');
    });

    $('#beginBeginDate').datetimepicker({
        format: "YYYY-MM-DD HH:mm:ss"
    });
    $('#endBeginDate').datetimepicker({
        format: "YYYY-MM-DD HH:mm:ss"
    });
    $('#endDate').datetimepicker({
        format: "YYYY-MM-DD HH:mm:ss"
    });
});

function getIdSelections() {
    return $.map($("#projectTable").bootstrapTable('getSelections'), function (row) {
        return row.id
    });
}


//刷新列表
function refresh() {
    $('#projectTable').bootstrapTable('refresh');
}

function add() {
    jp.openSaveDialog('新增项目管理表单', "${ctx}/sg/managementcenter/project/form", '800px', '500px');
}


function edit(id) {//没有权限时，不显示确定按钮
    if (id == undefined) {
        id = getIdSelections();
    }
    jp.openSaveDialog('编辑项目管理表单', "${ctx}/sg/managementcenter/project/basicInformationForm?id=" + id, '800px', '500px');
}

function view(id) {//没有权限时，不显示确定按钮
    if (id == undefined) {
        id = getIdSelections();
    }
    jp.openViewDialog('查看项目管理表单', "${ctx}/sg/managementcenter/project/basicInformationForm?id=" + id, '800px', '500px');
}


</script>